import { jsx } from "react/jsx-runtime";
import { Devices as Devices$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Devices = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Devices", ...props, children: /* @__PURE__ */ jsx(Devices$1, { weight: variant }) });
  }
);
Devices.displayName = "Devices";
Object.assign(Devices, { isGdsIcon: true });
export {
  Devices
};
